<?php

namespace Drupal\field_zip_file\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;

/**
 * Formatter that shows the file size in a human readable way.
 *
 * @FieldFormatter(
 *   id = "zip_file_html",
 *   label = @Translation("HTML Files"),
 *   field_types = {
 *     "zip_file"
 *   }
 * )
 */
class ZipFileHTML extends ZipFileBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = [];

    // @todo need to render html.
    foreach ($items as $delta => $item) {
      $elements[$delta] = ['#markup' => NULL];
    }

    return $elements;
  }

}
