<?php

namespace Drupal\field_zip_file\Plugin\media\Source;

use Drupal\media\MediaSourceBase;
use Drupal\media\MediaTypeInterface;
use Drupal\media\Plugin\media\Source\File;

/**
 * Zip file as entity media source.
 *
 * @MediaSource(
 *   id = "zip_file",
 *   label = @Translation("Zip file"),
 *   description = @Translation("Use local zip files for reusable media."),
 *   allowed_field_types = {"zip_file"},
 *   default_thumbnail_filename = "generic.png"
 * )
 */
class ZipFile extends File {

  /**
   * {@inheritdoc}
   */
  public function createSourceField(MediaTypeInterface $type) {
    return MediaSourceBase::createSourceField($type)->set('settings', ['file_extensions' => 'zip']);
  }
}
